| kspaceFirstOrder3D-CUDA 1.1 The CUDA/C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
TCUDADeviceConstants Struct Reference

Structure for CUDA parameters to be placed in constant memory. Only 32b values are used, since CUDA does not allow to allocate more than 2^32 elements and dim3 datatype is based on unsigned int. More...

## Public Member Functions
__host__ void | SetUpCUDADeviceConstatns ()
| Set constant memory. More...

## Public Attributes
unsigned int | nx
| size of X dimension.
unsigned int | ny
| size of Y dimension.
unsigned int | nz
| size of Z dimension.
unsigned int | nElements
| total number of elements.
unsigned int | slabSize
| 2D Slab size
unsigned int | nxComplex
| size of complex X dimension.
unsigned int | nyComplex
| size of complex Y dimension.
unsigned int | nzComplex
| size of complex Z dimension.
unsigned int | nElementsComplex
| complex number of elements.
unsigned int | slabSizeComplex
| complex slab size.
float | fftDivider
| normalization constant for 3D FFT.
float | fftDividerX
| normalization constant for 1D FFT over X.
float | fftDividerY
| normalization constant for 1D FFT over Y.
float | fftDividerZ
| normalization constant for 1D FFT over Z.
float | dt
| dt
float | dt2
| 2.0 * dt
float | c2
| c^2
float | rho0_scalar
| rho0 in homogeneous case
float | dt_rho0_scalar
| dt * rho0 in homogeneous case
float | rho0_sgx_scalar
| dt / rho0_sgx in homogeneous case
float | rho0_sgy_scalar
| dt / rho0_sgy in homogeneous case
float | rho0_sgz_scalar
| dt / rho0_sgz in homogeneous case
float | BonA_scalar
| BonA value for homogeneous case.
float | absorb_tau_scalar
| Absorb_tau value for homogeneous case.
float | absorb_eta_scalar
| Absorb_eta value for homogeneous case.
unsigned int | u_source_index_size
| size of the u source index
unsigned int | u_source_mode
| u source mode
unsigned int | u_source_many
| u source many
unsigned int | p_source_index_size
| size of the p_source mask
unsigned int | p_source_mode
| p source mode
unsigned int | p_source_many
| p source many

## Detailed Description

Definition at line 42 of file CUDADeviceConstants.cuh.

## Member Function Documentation

__host__ void TCUDADeviceConstants::SetUpCUDADeviceConstatns | ( |  | ) |

Copy the structure with simulation constants to the CUDA constant memory

Definition at line 65 of file CUDADeviceConstants.cu.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- Parameters/CUDADeviceConstants.cuh
- Parameters/CUDADeviceConstants.cu